/* Sample widget */
#display {
	visibility: hidden;
	opacity: 0.0;
	position: absolute;
	font-size: 12px;
	@include border-box;
	height: 100%;
	width: 100%;
	
	transition-property: opacity, visibility;
	-webkit-transition-property: opacity, visibility;
	-moz-transition-property: opacity, visibility;
	-ms-transition-property: opacity, visibility;
	-o-transition-property: opacity, visibility;
	
	.sampleselected & {
		visibility: visible;
		opacity: 1;
	}
	
	#sampletitle {
		position: absolute;
		top: 82px;
		left: 30px;
		color: #000;
		font-size: 20px;
		font-family:'HelveticaW01-RoundedBd', sans-serif;
	}
	
	.v-ui[width-range~="801px-"] & #sampletitle {
		visibility: hidden;
	}

	.siblingbutton {
		cursor: pointer;
		background: url(../community/images/empty.png);
		position: fixed;
		top: 0;
		padding-top: 55px;
		height: 100%;
		width: 55px;
		@include border-box;
		color: transparent;
		
		-webkit-transition: -webkit-transform $default-transition-duration;
    	transition: transform $default-transition-duration;
    	
		&:before {
			content: "";
			border: 7px solid transparent;
			font-family: community;
			font-size: 0;
			color: #797978;
			position: absolute;
			top: 50%;
			margin-top: 23px;
		}
	}
	
	.previousbutton {
		left: 0;
		
		&:before {
			border-right-color: #797978;
			right: 15px;
		}
	}
	.nextbutton {
		right: 0;
		
		&:before {
			border-left-color: #797978;
			left: 15px;
		}
	}

	.samplepanelcontainer{
		width: 100%;	
		height: 100%;
		border-top: 55px solid transparent;
		border-right: 55px solid transparent;
		border-left: 55px solid transparent;
		color: #222;
		@include border-box;
	}
	
	.samplepanel {
		position: fixed;
		top: 55px;
		margin: auto;
		right: 0;
		bottom: 0;
		left: 0;
		width: 200px;
		height: 150px;
		
		@include border-box;
		
		@include community-box-shadow(0 0 20px 0 rgba(0,0,0,0.50));
		padding: 10px;
		
		&:not(.vaadintheme),
		&.hidecontext {
			@include community-box-shadow(none);
			padding: 0;
			background-color: transparent;
		}
		
		-webkit-transition: -webkit-transform 0.8s, opacity 0.8s, visibility 0.8s;
    	transition: transform 0.8s, opacity 0.8s, visibility 0.8s;
		
		&.nextsample {
			opacity: 0;
			visibility: hidden;
			@include transform(translateX(1000px), true);
			
			.v-ie8 & {
				display: none;
			}
		}
		
		&.previoussample {
			opacity: 0;
			visibility: hidden;
			@include transform(translateX(-1000px), true);
			
			.v-ie8 & {
				display: none;
			}
		}
		
		.resizehandle {
			width: 13px;
			height: 13px;
			cursor: se-resize;
			position: absolute;
			bottom: -13px;
			right: -13px;
			opacity: 0.5;
			z-index: 1;
			
			transition-property: opacity;
			-webkit-transition-property: opacity;
			-moz-transition-property: opacity;
			-ms-transition-property: opacity;
			-o-transition-property: opacity;
		}
		
		.resizehandle:before {
			content: "\e00a";
			font-size: 30px;
			font-family: community;
			color: rgba(0,0,0,.3);
		}
		
		.resizehandle:hover:before {
			color: rgba(0,0,0,.8);
		}
		
		&:HOVER  {
			.resizehandle {
				opacity: 1;
			}
			
			.resizehandle:HOVER {
				opacity: 1 !important;
			}
		}
		
	    &:before,
		&:after {
		 	border: 1px solid #c4e8f6;
		 	border-color: rgba(0,182,255,0.2);
		    position: absolute;
		    
		    @include border-box;
		}
		
		&:before {
			top: 0;
		 	height: 100%;
		 	width: 4000px;
		 	left: -2000px;
		}
		
		&:after {
			left: 0;
		 	width: 100%;
		 	height: 4000px;
		 	top: -2000px;
		}
	}
	
	.resizingsample & {
		&,
		.samplepanel,
		.resizehandle {
			cursor: move;
		}
		
		.samplepanel.visible {
		
			&:before,
			&:after {	
			    content: "";
			}
		}
	}
	
	.waiaria {
		background-color: #fff;
		font-weight: bold;
		position: fixed;
		bottom: 10px;
		left: 50%;
		margin-left: -60px;
		@include community-box-shadow;
		@include border-radius;
		color: #676767;
		text-decoration: none;
		padding: 9px 22px 9px 39px;
		line-height: 1;
		z-index: 1;
		visibility: hidden;
		
		-webkit-transition: -webkit-transform $default-transition-duration;
    	transition: transform $default-transition-duration;
		
		&:before {
			position: absolute;
			font-family: community;
			content: "\e602";
			background-color: $vaadin-blue;
			@include border-radius;	
			color: #fff;
			font-size: 25px;
			top: 3px;
			left: 3px;
		}
		
		&:after {
			position: absolute;
			font-size: 0px;
			content: "";
			border: 4px solid transparent;
			border-left-color: #9a9a9a;
			top: 11px;
			right: 2px;
		}
		
		.waiariabadge & {
			visibility: visible;
		}
	}

	.pre-release-notification {
		background-color: #fff;
		font-weight: bold;
		position: fixed;
		bottom: 50px;
		left: 50%;
		margin-left: -200px;
		@include community-box-shadow;
		@include border-radius;
		color: #676767;
		text-decoration: none;
		padding: 9px 22px 9px 39px;
		line-height: 1;
		z-index: 1;
		
		-webkit-transition: -webkit-transform $default-transition-duration;
    	transition: transform $default-transition-duration;
		
		&:before {
			position: absolute;
			font-family: community;
			content: "\26a0";
			background-color: #E61E6E;
			@include border-radius;	
			color: #fff;
			font-size: 25px;
			top: 3px;
			left: 3px;
		}
		
		&:after {
			position: absolute;
			font-size: 0px;
			content: "";
			border: 4px solid transparent;
			border-left-color: #9a9a9a;
			top: 11px;
			right: 2px;
		}
	}
	
}




.v-ie8 #display .samplepanel {
	border-color: #fff;
}



/* Color themes */

#display .siblingbutton .gwt-Label{
	color: #8C8C87;
	vertical-align: middle;
}

.v-ui[width-range~="0px-450px"] .samplepanel.minscreenwidth-450,
.v-ui[width-range~="0px-500px"] .samplepanel.minscreenwidth-500,
.v-ui[width-range~="0px-550px"] .samplepanel.minscreenwidth-550,
.v-ui[width-range~="0px-600px"] .samplepanel.minscreenwidth-600,
.v-ui[width-range~="0px-650px"] .samplepanel.minscreenwidth-650,
.v-ui[width-range~="0px-700px"] .samplepanel.minscreenwidth-700,
.v-ui[width-range~="0px-750px"] .samplepanel.minscreenwidth-750,
.v-ui[width-range~="0px-800px"] .samplepanel.minscreenwidth-800,
.v-ui[width-range~="0px-850px"] .samplepanel.minscreenwidth-850,
.v-ui[width-range~="0px-900px"] .samplepanel.minscreenwidth-900 {
	-webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
	padding: 0 !important;
	background-color: transparent !important;
	
	position: static !important;
	
	& > * {
		visibility: hidden !important;
		z-index: -1;
	}
}


.v-ui[width-range~="0px-450px"] .still .samplepanel.minscreenwidth-450,
.v-ui[width-range~="0px-500px"] .still .samplepanel.minscreenwidth-500,
.v-ui[width-range~="0px-550px"] .still .samplepanel.minscreenwidth-550,
.v-ui[width-range~="0px-600px"] .still .samplepanel.minscreenwidth-600,
.v-ui[width-range~="0px-650px"] .still .samplepanel.minscreenwidth-650,
.v-ui[width-range~="0px-700px"] .still .samplepanel.minscreenwidth-700,
.v-ui[width-range~="0px-750px"] .still .samplepanel.minscreenwidth-750,
.v-ui[width-range~="0px-800px"] .still .samplepanel.minscreenwidth-800,
.v-ui[width-range~="0px-850px"] .still .samplepanel.minscreenwidth-850,
.v-ui[width-range~="0px-900px"] .still .samplepanel.minscreenwidth-900 {
   
	
	&:after {
		position: absolute;
		top: 50% !important;
		left: 50% !important;
		margin-left: -100px;
		margin-top: -50px;
		content: "Unfortunately the sample is too large for your browser. Try a wider size.";
		display: block !important;
		width: 200px !important;
		height: 150px !important;
		background: #fff;
		border: none !important;
		color: $vaadin-blue;
		font-size: 17px;
		line-height: 1.3;	
		text-align: center;
		padding: 30px 20px;
		
		@include border-radius;
		@include community-box-shadow;
	}
}

.v-ie8 {
	
	.samplepanel,
	.siblingbutton,
	.waiaria {
		position: absolute !important;
	}
	
}
